package com.goer.project.model.modelField.service;

import java.util.List;
import com.goer.project.model.modelField.domain.ModelField;

/**
 * 数据字段Service接口
 * 
 * @author goer
 * @date 2022-01-17
 */
public interface IModelFieldService 
{
    /**
     * 查询数据字段
     * 
     * @param id 数据字段主键
     * @return 数据字段
     */
    public ModelField selectModelFieldById(Long id);

    /**
     * 查询数据字段列表
     * 
     * @param modelField 数据字段
     * @return 数据字段集合
     */
    public List<ModelField> selectModelFieldList(ModelField modelField);

    /**
     * 新增数据字段
     * 
     * @param modelField 数据字段
     * @return 结果
     */
    public int insertModelField(ModelField modelField);

    /**
     * 修改数据字段
     * 
     * @param modelField 数据字段
     * @return 结果
     */
    public int updateModelField(ModelField modelField);

    /**
     * 批量删除数据字段
     * 
     * @param ids 需要删除的数据字段主键集合
     * @return 结果
     */
    public int deleteModelFieldByIds(String ids);

    /**
     * 删除数据字段信息
     * 
     * @param id 数据字段主键
     * @return 结果
     */
    public int deleteModelFieldById(Long id);

    /**
     * 排序
     *
     * @param modelField
     * @return
     */
    public int sort(ModelField modelField);

    public String checkFieldCodeUnique(ModelField modelField);
}
